com.amazonaws.services.elastictranscoder.model

## Class Clip

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Clip

All Implemented Interfaces:
  Serializable, Cloneable

Deprecated.

    @Deprecated
    public class Clip
    extends Object
    implements Serializable, Cloneable

Settings for one clip in a composition. All jobs in a playlist must have the same clip settings.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Clip()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Clip` `clone()` Deprecated.
`boolean` `equals(Object obj)` Deprecated.
`TimeSpan` `getTimeSpan()` Deprecated. Settings that determine when a clip begins and how long it lasts.
`int` `hashCode()` Deprecated.
`void` `setTimeSpan(TimeSpan timeSpan)` Deprecated. Settings that determine when a clip begins and how long it lasts.
`String` `toString()` Deprecated. Returns a string representation of this object; useful for testing and debugging.
`Clip` `withTimeSpan(TimeSpan timeSpan)` Deprecated. Settings that determine when a clip begins and how long it lasts.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Clip

    public Clip()

Deprecated.

### Method Detail

#### setTimeSpan

    public void setTimeSpan(TimeSpan timeSpan)

Deprecated.

Settings that determine when a clip begins and how long it lasts.

Parameters:
  `timeSpan` - Settings that determine when a clip begins and how long it lasts.

#### getTimeSpan

    public TimeSpan getTimeSpan()

Deprecated.

Settings that determine when a clip begins and how long it lasts.

Returns:
  Settings that determine when a clip begins and how long it lasts.

#### withTimeSpan

    public Clip withTimeSpan(TimeSpan timeSpan)

Deprecated.

Settings that determine when a clip begins and how long it lasts.

Parameters:
  `timeSpan` - Settings that determine when a clip begins and how long it lasts.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Deprecated.
Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### clone

    public Clip clone()

Deprecated.

Overrides:
  `clone` in class `Object`